> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developer-stage.shipbob.dev/2026-07/api/simulations/get-simulation-status/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer-stage.shipbob.dev/_mcp/server. # Get Simulation Status GET https://sandbox-api.shipbob.com/2026-07/simulate/status/{simulationId} Get the detailed status of a simulation to see its current state and information. Reference: https://developer-stage.shipbob.dev/api/simulations/get-simulation-status ## Authentication - `Authorization` header (bearer token, required) — Authentication using Personal Access Token (PAT) token - `Authorization` header (bearer token, required) — OAuth2 authentication using JWT tokens ## Request ### Path parameters - `simulationId` (string, required) — The simulation id ## Response ### 200 The simulation status - `entity_id` (string, optional, nullable) — The identifier of the entity the simulation is associated with (for example: shipment id). - `entity_type` (string, optional, nullable) — The type of entity the simulation is associated with (for example: Order). - `simulation` (Simulation.actionStatusResponseModel, optional) — The current status of the simulation action(s), including any chained next actions. - `simulation_id` (string, optional, nullable) — The unique identifier of the simulation run. ## Types ### Simulation.actionStatusResponseModel Represents the current status of a simulation action, optionally including a chained next action status. - `action` (enum, optional, nullable) — The name of the action performed in the simulation (for example: ShipOrder, DeliverOrder). - Allowed values: `ShipOrder`, `DeliverOrder` - `message` (string, optional, nullable) — Additional details about the action status, such as progress information or an error message. - `next` (Simulation.actionStatusResponseModel, optional) — The status for the next action in the sequence, if actions are chained. - `schedule_time` (datetime, optional, nullable) — The scheduled time for the action to run, in ISO 8601 date-time format (UTC). - `status` (string, optional, nullable) — The current execution state of the action. ## Examples **Response** ```json { "entity_id": "string", "entity_type": "string", "simulation": { "action": "ShipOrder", "message": "string", "next": {}, "schedule_time": "2019-08-24T14:15:22+00:00", "status": "string" }, "simulation_id": "df0e679f-936d-49a6-bcd5-04f5809bd3f2" } ``` **SDK Code** ```python default import requests url = "https://sandbox-api.shipbob.com/2026-07/simulate/status/497f6eca-6276-4993-bfeb-53cbbbba6f08" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript default const url = 'https://sandbox-api.shipbob.com/2026-07/simulate/status/497f6eca-6276-4993-bfeb-53cbbbba6f08'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go default package main import ( "fmt" "net/http" "io" ) func main() { url := "https://sandbox-api.shipbob.com/2026-07/simulate/status/497f6eca-6276-4993-bfeb-53cbbbba6f08" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby default require 'uri' require 'net/http' url = URI("https://sandbox-api.shipbob.com/2026-07/simulate/status/497f6eca-6276-4993-bfeb-53cbbbba6f08") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java default import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://sandbox-api.shipbob.com/2026-07/simulate/status/497f6eca-6276-4993-bfeb-53cbbbba6f08") .header("Authorization", "Bearer ") .asString(); ``` ```php default request('GET', 'https://sandbox-api.shipbob.com/2026-07/simulate/status/497f6eca-6276-4993-bfeb-53cbbbba6f08', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp default using RestSharp; var client = new RestClient("https://sandbox-api.shipbob.com/2026-07/simulate/status/497f6eca-6276-4993-bfeb-53cbbbba6f08"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift default import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://sandbox-api.shipbob.com/2026-07/simulate/status/497f6eca-6276-4993-bfeb-53cbbbba6f08")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```